<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.gh.gamecenter.setting.compose">

    <application
        android:name=".SettingModuleApp"
        android:allowBackup="true"
        android:icon="@mipmap/logo"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/Theme.Assistantandroid">

        <meta-data
            android:name="io.sentry.auto-init"
            android:value="false" /> <!-- 不让 sentry 读取系统事件 -->
        <meta-data
            android:name="io.sentry.breadcrumbs.system-events"
            android:value="false" />

        <activity
            android:name=".activity.ComposeSettingActivity"
            android:exported="true"
            android:screenOrientation="portrait"
            android:theme="@style/Theme.Assistantandroid">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>

        <activity
            android:name=".activity.ComposeVideoSettingActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.ComposeSecurityActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.ComposeGameDownloadSettingActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.ComposeAboutActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.NetworkDiagnosisActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

        <activity
            android:name=".activity.ComposeBindPhoneActivity"
            android:exported="false"
            android:screenOrientation="portrait" />

    </application>

</manifest>